roar_simple_stream(3)

NAME
roar_simple_stream - Opens a stream to RoarAudio's sound server

SYNOPSIS

#include <roaraudio.h>

int roar_simple_stream(int rate, int channels, int bits, int codec, char * server, int dir, char * name);

DESCRIPTION
This creates a new stream to RoarAudio. Normally you want to use one of roar_simple_play(3), roar_simple_monitor(3), roar_simple_record(3) or roar_simple_filter(3).

his functions are marked obsolete and will be removed very soon. Please upgrade to VS API. See roar_vs_new_simple(3).

PARAMETERS

rate, channels, bits, codec, server, name
    For an explanation on these parameters see roar_simple_play(3).

dir The direction of the new stream. See below for a list of valid directions.

STREAM DIRECTIONS

ROAR_DIR_PLAY
    This stream directions means that a player streams data to the server in order to play it back.

ROAR_DIR_RECORD
    This direction is to record audio from the soundcard. This is used if for example you want to get data from your microphon or line in.

ROAR_DIR_MONITOR
    This direction is used to get a copy of what the server sends to the soundcard. This can for example be used to stream the fully mixed data to Icecast (see icecast2(1)).

ROAR_DIR_FILTER
    This is used to crate a filter stream: A filter stream is a stream used to filter the output of the sound server by some tool. This can for example be used for an software equalizer. The filter stream is the only bi-directional stream. You have to read some data and write back data of exactly the same size.

ROAR_DIR_OUTPUT
    This is the type of the stream the server sends to the soundcard. You can not create such a stream. It's only listend for completeness.

RETURN VALUE
On success these calls return a filehandle. On error, -1 is returned.

EXAMPLES
FIXME

SEE ALSO
roar_vs_new_simple(3), roar_simple_play(3), roar_simple_close(3), libroar(7), RoarAudio(7).